Skip to main content

Get campaign predictions

POST 
/v1/campaignpredictions

Gets campaign predictions.

Estimates expected job applies for a given budget.

Recommends a budget based on your desired performance.

Predictions use job properties, campaign type, and campaign duration.

Single-job predictions are based on past performance of similar jobs on Indeed.

The API can also predict performance for campaigns with multiple jobs.

Supported currency codes are CAD, GBP, EUR, JPY, and USD.

Default currency is USD.

The API can estimate performance for budgets below USD $100 per day.

After the employer accepts the recommended budget, confirm campaigns are created with the same parameters.

These values are estimates based on Indeed's past performance and do not guarantee future results.

OAuth scopeAccess token type
employer_access

Employer access token.

Request

Body

    jobInfo

    object

    jobsLocation stringrequired

    City where the job is located.

    Required if jobsQuery, and jobsSourceName are not provided, or for new jobs.

    jobsQuery stringrequired

    Job query.

    Required if jobsSourceId is provided.

    jobsSourceId stringrequired

    Source ID for the job.

    Required if jobsQuery is provided.

    jobsTitle stringrequired

    Job title.

    Required if jobsQuery and jobsSourceName are not provided, or for new jobs.

    campaignInfo

    object

    campaignType stringrequired

    Either ONETIME or MONTHLY.

    startDate string

    Campaign start date. Defaults to today. In the

    `YYYY-MM-DD` format and in the US Central time zone. Only applicable if `campaignType` is `ONETIME`.
    endDate stringrequired

    Campaign end date. In YYYY-MM-DD format and in the US Central time zone.

    Required if campaignType is ONETIME.

    predictionsInfo

    object

    predictionType string

    Either BUDGET_BASED or APPLY_BASED.

    currencyCode string

    Currency code for the budget amount. Supported currency codes are CAD, GBP, EUR, JPY, and USD. Default is USD.

    budgets number[]required

    Budget amount to estimate performance for, expressed in the currency specified by currencyCode.

    Pass a single number in the array.

    Required if predictionType is BUDGET_BASED.

    BUDGET_BASED predictions support exactly one job.

    If your jobsQuery resolves to multiple jobs, Indeed returns a 400 validation error.

    totalApplies integer[]required

    Total applies across jobs for which to estimate the budget.

    Pass a single number in the array.

    Required if predictionType is APPLY_BASED and appliesPerJob is not set.

    appliesPerJob integer[]required

    Total applies per job for which to estimate the budget.

    Pass a single number in the array.

    Required if predictionType is APPLY_BASED and totalApplies is not set.

Responses

Success

Schema

    meta

    object

    Response-related metadata.

    status int32

    HTTP status code of the response.

    errors

    object[]

    Errors that prevented the request from being processed successfully.

    If there are no errors, this value is null.

  • Array [

  • type string

    Name of the error.

    description string

    Human-readable description of the problem.

  • ]

  • rootLocation string

    Base URL of the Sponsored Jobs API.

    perPage int32

    For endpoints that return paginated results, the effective maximum number of entries returned on one page.

    The value may be smaller than the maximum you requested with the perPage parameter.

    If the endpoint returns a single result or doesn't paginate, the value is null.

    links

    object[]

    Resources related to the requested resource.

  • Array [

  • rel string

    The relationship between the requested resource and the related resource. These values are commonly used:

    • up: The related resource is a collection that contains the requested resource, or an entity that the requested resource is attached to.

    • next: The next page of entries in a paginated result.

    • prev: The previous page of entries in a paginated result.

    However, the value may also be an arbitrary string describing the relationship, such as Campaign Info.

    href string

    Endpoint URL of the related resource.

    Can contain query string parameters.

    To get the complete URL, append the href to rootLocation.

  • ]

  • data

    object

    currencyCode string

    Currency code for the returned budget amounts. All the values in this object is aggregated result of individual job predictions.

    predictions

    object[]

    List of predictions. A single value.

  • Array [

  • budget number

    For BUDGET_BASED requests, the budget on which the estimated

    number of applies is based. For `APPLY_BASED` requests, the recommended budget to achieve the desired number of total applies.
    organicApplies integer

    For BUDGET_BASED requests, the estimated number of organic

    applies for the job without sponsoring. Use `totalApplies` and `organicApplies` to calculate the estimated number of applies that result from sponsoring the job.
    totalApplies integer

    For BUDGET_BASED requests, the estimated number of total

    applies for a job (organic and sponsored) for a budget value. For `APPLY_BASED` requests, the number of total applies on which the recommended budget is based.
    estimatedLowerApplies integer

    For BUDGET_BASED requests, the estimated lower range of applies for a job (organic and sponsored) for a budget value. For APPLY_BASED requests, the response does not include this field.

    estimatedHigherApplies integer

    For BUDGET_BASED requests, the estimated higher range of applies for a job (organic and sponsored) for a budget value. For APPLY_BASED requests, the response does not include this field.

  • ]

  • jobLevelPredictions

    object[]

    List of predictions for each job. Can be null depending on input parameters. All the values in this object is corresponds to individual jobs. This field can be null depending on input parameters.

  • Array [

  • job

    object

    jobKey string

    Job key.

    refNum string

    Job reference ID.

    title string

    Job title.

    location string

    Job location.

    predictions

    object[]

    List of predictions. A single value.

  • Array [

  • budget number

    For BUDGET_BASED requests, the budget on which the estimated

    number of applies is based. For `APPLY_BASED` requests, the recommended budget to achieve the desired number of total applies.
    organicApplies integer

    For BUDGET_BASED requests, the estimated number of organic

    applies for the job without sponsoring. Use `totalApplies` and `organicApplies` to calculate the estimated number of applies that result from sponsoring the job.
    totalApplies integer

    For BUDGET_BASED requests, the estimated number of total

    applies for a job (organic and sponsored) for a budget value. For `APPLY_BASED` requests, the number of total applies on which the recommended budget is based.
    estimatedLowerApplies integer

    For BUDGET_BASED requests, the estimated lower range of applies for a job (organic and sponsored) for a budget value. For APPLY_BASED requests, the response does not include this field.

    estimatedHigherApplies integer

    For BUDGET_BASED requests, the estimated higher range of applies for a job (organic and sponsored) for a budget value. For APPLY_BASED requests, the response does not include this field.

  • ]

  • ]

Loading...

Was this page helpful?